| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Attributes | List of all members
Digikam::IccProfilesMenuAction Class Reference
Inheritance diagram for Digikam::IccProfilesMenuAction:

## Signals
void | signalTriggeredProfile (const IccProfile &profile)

## Public Member Functions
| IccProfilesMenuAction (const QIcon &icon, const QString &text, QObject *const parent)
| IccProfilesMenuAction (const QString &text, QObject *const parent)
void | addProfile (const IccProfile &profile, const QString &description=QString())
| Add the given profile with the given description, or, if null, a standard description.
void | addProfiles (const QList< IccProfile > &profile)
| Checks the given profiles for validity, creates a suitable description (ICC profile description, file path), removes duplicates (in newly added list) by file path, sorts them and adds them in sorted order.
void | disableIfEmpty ()
| Disables if the menu is currently empty.
QObject * | parentObject () const
| Return the parent QObject.
void | replaceProfiles (const QList< IccProfile > &profile)
| Equivalent to calling clear() and addProfiles().

## Protected Slots
void | slotTriggered (QObject *)

## Protected Attributes
QObject * | m_parent = nullptr

## Member Function Documentation

## ◆ addProfile()

void Digikam::IccProfilesMenuAction::addProfile | ( | const IccProfile & | profile,
|  | const QString & | description = `QString()`
| ) |  |

Does not test for duplicity, does not sort into existing profiles.